Support » Plugin: MetaSlider Lightbox » Responsive Lightbox Not Supported

  • Resolved Dennis Booker

    (@dabooker)


    MetaSlider 3.7.1, MetaSlider Lightbox 1.10.9, Responsive Lightbox (dFactory) 1.7.2. MetaSlider not longer supports Responsive Lightbox according to setup “Warning: MetaSlider Lightbox is installed but no supported lightbox plugin is active. More info”.
    Sliders created previously still have lightbox functionality but I can’t add new slider with lightbox function. Link is to page with slider (at the bootome of the page) that still works and was created with earlier version.

    The page I need help with: [log in to see the link]

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Contributor kbatdorf

    (@kbat82)

    Hi @dabooker,

    Sorry for the inconvenience. It looks like we had a minor bug in there. I’ll have a fix for this asap. In the meantime, you can add this code to fix the issue:

    add_filter('metaslider_lightbox_supported_plugins', 'supported_plugins_list');
    function supported_plugins_list($supported_plugins_list) {
        $supported_plugins_list = array(
            'Responsive Lightbox' => array(
                'location' => 'responsive-lightbox/responsive-lightbox.php',
                'settings_url' => 'options-general.php?page=responsive-lightbox',
                'rel' => 'lightbox'
            ),
        );
        return $supported_plugins_list;
    }

    If this doesn’t work, please let me know. Thanks!

    Plugin Contributor kbatdorf

    (@kbat82)

    By the way, the above code would need to go into your functions.php or a similar file where you can add WordPress functions.

    Well I added the patch to my theme’s (twenty seventeen) functions.php and it broke the theme on load (fixed it back) so I’ll just wait for your update. Just glad to know you can fix this at some point.

    OK I added to the bottom of class-ml-slider-lightbox.php. I get the option to check to use lightbox in metaslider setup for new slider but lightbox doesn’t open onclick.
    Thanks,
    dennis

    Plugin Contributor kbatdorf

    (@kbat82)

    Hi,

    I have a fix ready but we won’t be able to release it until Monday. In the meantime, I recommend you you downgrade to 1.9.3 on this page:

    https://wordpress.org/plugins/ml-slider-lightbox/advanced/

    Apologies for the inconvenience!

    Hello,
    Tried 1.9.3 and 1.9.2 but same result. Responsive Lightbox recognized in Metaslider setup field and cursor changes to “hand” on hover over image but will not load image into lightbox. Sliders created previously continue to work. I’ll wait for your fix. thanks again for all your help.

    Plugin Contributor kbatdorf

    (@kbat82)

    Hi @dabooker,

    If you have a link to your website I can take a look. The issue might be something else.

    I retract my earlier post. Version 1.9.2 does work..Responsive lightbox does load on a newly created Metaslider. So I’ll stay with that version for now. I got confused running tests on localhost testsite vs live site.
    Thanks again!

    Plugin Contributor kbatdorf

    (@kbat82)

    Okay great to hear. We should have an update within the next day or two. Thanks for your patience.

    Plugin Contributor kbatdorf

    (@kbat82)

    Hi @dabooker,

    If you have time to test, we released a new version that should fix the issues you were having. Please let me know if something is still off. Thanks!

    Ran Metaslider 3.7.2 and Metaslider Lightbox 1.10.1 updates on test site and added slide with lightbox and no problems. I’ll update production site this afternoon but looks good.
    Thanks for all your help,
    dennis

    I updated our website to 3.7.2 and 1.10.1 and added new slider and it worked with no problems. I’s say the issue is resolved. Again thanks for your timely assistance.
    dennis

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘Responsive Lightbox Not Supported’ is closed to new replies.